package com.diagbot.dto;

import com.alibaba.fastjson.JSONObject;
import com.diagbot.entity.ScaleContent;
import lombok.Getter;
import lombok.Setter;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:44
 */
@Getter
@Setter
public class PushDTO {
    private List<QuestionDTO> symptom;
    private List<QuestionDTO> other;
    private List<QuestionDTO> vital;
    private List<QuestionDTO> importantVital;
    private List<QuestionDTO> lab;
    private List<QuestionDTO> pacs;
    private Map<String, List<QuestionDTO>> dis;
    private Map<String, Object> treat;
    private List<EvaluationModuleMappingDTO> evaluationModule;
    private Map<String, JSONObject> managementEvaluation;
    private Map<String, JSONObject> scale;
    private List<MedicalIndicationDTO> medicalIndications;
    private List<ScaleContent> scaleContent;
}